> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List Latest Container Runtime Baseline Fingerprints



## OpenAPI

````yaml /api-reference/openapi.yaml get /accounts/{account_id}/container_runtime_latest_baseline_fingerprints
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/container_runtime_latest_baseline_fingerprints:
    get:
      tags:
        - Fingerprints
      summary: List Latest Container Runtime Baseline Fingerprints
      parameters:
        - description: Account id
          in: path
          name: account_id
          required: true
          schema:
            type: string
        - description: Filters
          in: query
          name: filters
          schema:
            type: string
        - description: Query string to filter fingerprints
          in: query
          name: q
          schema:
            type: string
        - description: Page number starting from 1
          in: query
          name: page
          schema:
            type: integer
        - description: 'Page size. Default: 50'
          in: query
          name: page_size
          schema:
            type: integer
        - description: 'Sort by field. Default: created_at:desc'
          in: query
          name: sort
          schema:
            type: string
        - description: Children limit
          in: query
          name: children_limit
          schema:
            type: integer
            default: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResp-BaselineFingerprint'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    ListResp-BaselineFingerprint:
      properties:
        entries:
          items:
            $ref: '#/components/schemas/BaselineFingerprint'
          type: array
        page:
          type: integer
        page_count:
          type: integer
        page_size:
          type: integer
        total_count:
          type: integer
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    BaselineFingerprint:
      properties:
        account_id:
          type: string
        created_at:
          type: string
        created_by:
          type: string
        fingerprint:
          $ref: '#/components/schemas/Fingerprint'
        id:
          type: string
        image_name:
          type: string
        notes:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message
    Fingerprint:
      properties:
        apiVersion:
          type: string
        containers:
          items:
            $ref: '#/components/schemas/Container'
          type: array
        kind:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
      type: object
    Container:
      properties:
        id:
          type: string
        imageDigest:
          type: string
        imageName:
          type: string
        name:
          type: string
        processes:
          items:
            $ref: '#/components/schemas/Process'
          type: array
      type: object
    Metadata:
      properties:
        creationTimestamp:
          type: string
      type: object
    Process:
      properties:
        children:
          items:
            $ref: '#/components/schemas/Process'
          type: array
        connections:
          description: Unique Connections of this Process.
          items:
            $ref: '#/components/schemas/Connection'
          type: array
        drift:
          type: boolean
        files:
          description: Unique Files opened by this Process.
          items:
            $ref: '#/components/schemas/File'
          type: array
        gid:
          type: integer
        id:
          type: string
        parentId:
          type: string
        programs:
          description: >-
            Programs run by this Process. A Program can load and run another
            Program

            within the same Process. Hence, a Process can execute several
            Programs,

            but at any given moment in times there is only one active Program
            running.
          items:
            $ref: '#/components/schemas/Program'
          type: array
        repetition:
          $ref: '#/components/schemas/Repetition'
        timestamp:
          type: string
        trustedIPPrefixes:
          description: TrustedIPPrefixes is a map of trusted IP prefixes and their names.
          items:
            $ref: '#/components/schemas/TrustedIPPrefix'
          type: array
        uid:
          type: integer
      type: object
    Connection:
      properties:
        address:
          type: string
        drift:
          type: boolean
        hostname:
          type: string
        k8sName:
          type: string
        k8sNamespace:
          type: string
        port:
          type: integer
        timestamp:
          type: string
        trustedCIDR:
          type: string
      type: object
    File:
      properties:
        drift:
          type: boolean
        path:
          type: string
        timestamp:
          type: string
      type: object
    Program:
      properties:
        args:
          items:
            type: string
          type: array
        comm:
          type: string
        drift:
          type: boolean
        hasPattern:
          type: boolean
        sampleArgs:
          items:
            items:
              type: string
            type: array
          type: array
        timestamp:
          description: Timestamp when this program was executed.
          type: string
      type: object
    Repetition:
      properties:
        execCount:
          type: integer
        recentTimestamp:
          type: string
      type: object
    TrustedIPPrefix:
      properties:
        cidr:
          type: string
        name:
          type: string
        port:
          type: integer
      type: object

````